<div *ngIf="parentFormGroup" class="container">
  <mat-form-field appearance="fill">
    <mat-label>{{ 'shared.form.content.fields.title' | translate }}</mat-label>
    <input type="text" matInput sfl-focus [formControl]="parentFormGroup.get('title')" required />
    <mat-error>{{ 'shared.form.errors.required' | translate }}</mat-error>
  </mat-form-field>

  <div fxLayout.xs="column" fxLayout="row" fxLayoutGap="1rem">
    <mat-form-field appearance="fill">
      <mat-label>{{ 'shared.form.content.fields.genres' | translate }}</mat-label>
      <mat-select [compareWith]="compare" [formControl]="parentFormGroup.get('genres')" multiple>
        <mat-option *ngIf="!genres?.length; else optionsRefGenre" disabled>
          {{ 'shared.noRessource' | translate: { ressource: ('shared.resources.genre' | translate) } | capitalize }}
          <span class="spacer"></span>
          <a
            mat-icon-button
            color="accent"
            [routerLink]="['/', 'gestion', 'referentials', 'genre', 'edit']"
            [matTooltip]="'shared.tip.createRessource' | translate: { ressource: ('shared.resources.genre' | translate) } | capitalize"
          >
            <mat-icon>add</mat-icon>
          </a>
        </mat-option>
        <ng-template #optionsRefGenre>
          <mat-option *ngFor="let genre of genres" [value]="genre">
            {{ genre.label }}
          </mat-option>
        </ng-template>
      </mat-select>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>{{ 'shared.form.content.fields.authors' | translate }}</mat-label>
      <mat-select [compareWith]="compare" [formControl]="parentFormGroup.get('authors')" multiple>
        <mat-option *ngIf="!authors?.length; else optionsRefAuthor" disabled>
          {{ 'shared.noRessource' | translate: { ressource: ('shared.resources.author' | translate) } | capitalize }}
          <span class="spacer"></span>
          <a
            mat-icon-button
            color="accent"
            [routerLink]="['/', 'gestion', 'referentials', 'author', 'edit']"
            [matTooltip]="'shared.tip.createRessource' | translate: { ressource: ('shared.resources.author' | translate) } | capitalize"
          >
            <mat-icon>add</mat-icon>
          </a>
        </mat-option>
        <ng-template #optionsRefAuthor>
          <mat-option *ngFor="let author of authors" [value]="author">
            {{ author.firstname + ' ' + author.lastName }}
          </mat-option>
        </ng-template>
      </mat-select>
    </mat-form-field>
  </div>

  <mat-form-field appearance="fill">
    <mat-label>{{ 'shared.form.content.fields.description' | translate }}</mat-label>
    <textarea
      matInput
      [formControl]="parentFormGroup.get('description')"
      [placeholder]="'shared.form.content.placeholder.description' | translate"
    ></textarea>
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>{{ 'shared.form.content.fields.image' | translate }}</mat-label>
    <input type="text" matInput [formControl]="parentFormGroup.get('image')" />
  </mat-form-field>

  <div fxLayout.xs="column" fxLayout="row" fxLayoutGap="1rem" fxLayoutAlign="space-between center">
    <bar-rating
      [rate]="this.parentFormGroup.get('rate').value"
      (rateChange)="rateChange($event)"
      [max]="5"
      [theme]="'stars'"
      [readOnly]="false"
    ></bar-rating>

    <div class="slide-toggle-container">
      <mat-slide-toggle [formControl]="parentFormGroup.get('love')">{{ 'shared.form.content.fields.love' | translate }} </mat-slide-toggle>
      <mat-slide-toggle [formControl]="parentFormGroup.get('wish')">{{ 'shared.form.content.fields.wish' | translate }} </mat-slide-toggle>
      <mat-slide-toggle [formControl]="parentFormGroup.get('inProgress')">{{
        'shared.form.content.fields.inProgress' | translate
      }}</mat-slide-toggle>
    </div>
  </div>
</div>
